#------------------------------------------------
# The Geant4 Virtual Monte Carlo package
# Copyright (C) 2014 Ivana Hrivnacova
# All rights reserved.
#
# For the licensing terms see geant4_vmc/LICENSE.
# Contact: root-vmc@cern.ch
#-------------------------------------------------

# Configuration file for CMake build for G4Root VMC package.
# It defines the following variables
#  G4Root_INCLUDE_DIRS         - include directories for G4Root
#  G4Root_LIBRARIES            - libraries to link against G4Root
#  CMAKE_INSTALL_LIBDIR        - library installation directory
#
# I. Hrivnacova, 13/06/2014

# Compute installation prefix relative to this file
get_filename_component(_dir "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_prefix "${_dir}/../.." ABSOLUTE)

# Import options
set(CMAKE_INSTALL_LIBDIR lib)

# Import targets
include("${_prefix}/lib/G4Root-3.3.0/G4RootTargets.cmake")

# These are IMPORTED targets created by G4RootTargets.cmake
set(G4Root_LIBRARIES g4root)

# Set includes
set(G4Root_INCLUDE_DIRS "${_prefix}/include/g4root")

