#------------------------------------------------
# The Geant4 Virtual Monte Carlo package
# Copyright (C) 2014 Ivana Hrivnacova
# All rights reserved.
#
# For the licensing terms see geant4_vmc/LICENSE.
# Contact: root-vmc@cern.ch
#-------------------------------------------------

# Configuration file for CMake build for Geant4 VMC packages.
# It defines the following variables
#  MTRoot_INCLUDE_DIRS         - include directories for MTRoot
#  MTRoot_LIBRARIES            - libraries to link against MTRoot
#  CMAKE_INSTALL_LIBDIR        - library installation directory
#
# I. Hrivnacova, 13/06/2014

# Compute installation prefix relative to this file
get_filename_component(_dir "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_prefix "${_dir}/../.." ABSOLUTE)

# Import options
set(CMAKE_INSTALL_LIBDIR lib)

# Import targets
include("${_prefix}/lib/MTRoot-3.3.0/MTRootTargets.cmake")

# These are IMPORTED targets created by Geant4VMCTargets.cmake
set(MTRoot_LIBRARIES mtroot)

# Set includes
set(MTRoot_INCLUDE_DIRS "${_prefix}/include/mtroot")

